package org.beangle.webapp.portal.action;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.interceptor.NoParameters;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.beangle.security.monitor.OnlineActivity;
import org.beangle.security.monitor.SecurityManager;
import org.beangle.struts2.action.BaseAction;

/**
 * 系统index页面，如果登录成功则进入首页面
 * 
 * @author chaostone
 */
public class IndexAction extends BaseAction implements ServletRequestAware, NoParameters {
	private HttpServletRequest request;

	protected SecurityManager securityManager;

	public String index() {
		OnlineActivity info = securityManager.getAuthenticationManager().getSessionController()
				.getOnlineActivity(request.getSession().getId());
		if (null == info) {
			return LOGIN;
		} else {
			return SUCCESS;
		}
	}

	public void setSecurityManager(SecurityManager securityManager) {
		this.securityManager = securityManager;
	}

	public void setServletRequest(HttpServletRequest request) {
		this.request = request;
	}

}
